Bug 137141 - OpenOffice problems with <backspace> key after entering Chinese characters
OpenOffice problems with <backspace> key after entering Chinese characters
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2004-10-25 23:00 EDT by Felix Luk
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.9.89-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-08 10:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Luk 2004-10-25 23:00:18 EDT
Description of problem:
OpenOffice fails to process the <backspace> key properly after one or
more Chinese characters have been entered.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open OpenOffice (Writer)
2. Select a Chinese input method and enter some text
3. Press the <backspace> key
Actual results:
The cursor does not move back.

Expected results:
The cursor should move backwards and erase characters behind it.

Additional info:
Entering one or more English alphanumeric characters fixs the
situation, restoring the functionality of the <backspace> key, so it
can back over the alphanumeric characters AND the Chinese characters
as well.
Comment 1 Caolan McNamara 2005-03-18 07:47:39 EST
Is this still the case with 1.1.2-11 or above ?
Comment 2 Caolan McNamara 2005-04-08 10:18:52 EDT
looks good now in rawhide with 1.9.89-5 
export GTK_IM_MODULE=iiim
and e.g. langpack and locale zh_TW

Note You need to log in before you can comment on or make changes to this bug.